function [T_late, Shipname_late] = Draw_T_late(UnScheduled_list, time)

is_delays = sum(cell2mat(UnScheduled_list(:,6)));

if is_delays == 0
    T_late = [];
    Shipname_late = [];    
else    
    T_late = min(cellfun(@min, UnScheduled_list(:,7)));
    
    for i = 1:size(UnScheduled_list,1)        
        if UnScheduled_list{i,7} == T_late
            index = i;
            break;
        end        
    end 
    
    Shipname_late = UnScheduled_list{index,1};
    
    if UnScheduled_list{index,6} == 0
        UnScheduled_list(index, :) = [];
        [T_late, Shipname_late] = Draw_T_late(UnScheduled_list, time);
    end
    
end

if T_late <= time
    index = find(strcmp(Shipname_late, UnScheduled_list(:,1)));
    UnScheduled_list(index,:) = [];
    [T_late, Shipname_late] = Draw_T_late(UnScheduled_list, time);
end

end