function Slowships = Create_Slowships(Vesselinfo, fraction_ship_slow)

nShips = size(Vesselinfo,1);
nSlowships = round(fraction_ship_slow*nShips);
TGNs = cell2mat(Vesselinfo(:,2));
TGNs = TGNs'./(sum(TGNs));
Probvector = cumsum(TGNs);

Slowships = zeros(1,nShips);

while sum(Slowships) < nSlowships
    rndnr = rand(1,1);
    PickingVector = [Probvector, rndnr];
    [~, indicies] = sort(PickingVector);
    Slowship = find(length(PickingVector) == indicies);
    if Slowships(Slowship) == 1
        continue;
    else
        Slowships(Slowship) = 1;
    end
end


end