function [Direction, Historic_traffic_group_number, Historic_ShipNames] = Extract_vesselinfo(Vesselinfo, Scheduling_list)

Last_planned_ship = Scheduling_list{end,1};

index = find(strcmp(Last_planned_ship, Vesselinfo(:,1)));

Direction = zeros(index,1);
Historic_traffic_group_number = zeros(index,1);
Historic_ShipNames = cell(index,1);

for i = 1:index
    Direction(i) = Vesselinfo{i,4};
    Historic_traffic_group_number(i) = Vesselinfo{i,2};
    Historic_ShipNames{i} = Vesselinfo{i,1};
end

end