function Mosel_code = Check_and_remove_aligned_conflict(Mosel_code, Scheduling_list, time, Shipname_slow, Arrival_segment, ShipNames)

index_slow_ship = find(strcmp(Shipname_slow, Scheduling_list(:,1)));
if mod(Scheduling_list{index_slow_ship, 5},2) == 1
    % Don't do anything if on siding
    return;
end
Arrival_currentsegment = cell2mat(Scheduling_list(:,3));
Historic_ships = Scheduling_list(Arrival_currentsegment<time,:);
nHistoric_ships = size(Historic_ships,1);
iteration_vector = 1:nHistoric_ships;
iteration_vector = setdiff(iteration_vector, index_slow_ship);

for i = iteration_vector
    if (Scheduling_list{index_slow_ship, 5} == Scheduling_list{i, 5}) && (Scheduling_list{index_slow_ship, 4} == Scheduling_list{i, 4})
        % Checking if CS is equal and ships aligned
        if Scheduling_list{index_slow_ship, 3} < Scheduling_list{i, 3}
            % Checking arrivals
            [slowarrivaltime, SafetyTime] = calc_slowarrivaltime(Scheduling_list, index_slow_ship, i);
            index_i = find(strcmp(Scheduling_list{i, 1}, ShipNames)); 
            if Arrival_segment(index_i, Scheduling_list{i, 5} + Scheduling_list{i, 4}) < Scheduling_list{index_slow_ship, 3} + round(slowarrivaltime) + max(SafetyTime)
                % Sjekk om det blir konflikt
                cellline = find(contains(Mosel_code, strcat('s(', num2str(i), ',')));
                if isempty(cellline)
                    continue;
                end
                Mosel_code{cellline} = '';
                Mosel_code = Check_and_remove_aligned_conflict_for_laterships(Mosel_code, Historic_ships, Scheduling_list{i, 1}, round(slowarrivaltime), ShipNames, Arrival_segment);
            end
        end
    end
end

end