function Mosel_code = Check_and_remove_aligned_conflict_for_laterships(Mosel_code, Historic_ships, Shipname_slow, slowarrivaltime, ShipNames, Arrival_segment)

index_slow_ship = find(strcmp(Shipname_slow, Historic_ships(:,1)));
nHistoric_ships = size(Historic_ships,1);
iteration_vector = 1:nHistoric_ships;
iteration_vector = setdiff(iteration_vector, index_slow_ship);

for i = iteration_vector
    if (Historic_ships{index_slow_ship, 5} == Historic_ships{i, 5}) && (Historic_ships{index_slow_ship, 4} == Historic_ships{i, 4})
        % Checking if CS is equal and ships aligned
        if Historic_ships{index_slow_ship, 3} < Historic_ships{i, 3}
            % Checking arrivals
            [~, SafetyTime] = calc_slowarrivaltime(Historic_ships, index_slow_ship, i);
            index_i = find(strcmp(Historic_ships{i, 1}, ShipNames)); 
            if Arrival_segment(index_i, Historic_ships{i, 5} + Historic_ships{i, 4}) < Historic_ships{index_slow_ship, 3} + slowarrivaltime + max(SafetyTime)
                % Sjekk om det blir konflikt
                cellline = find(contains(Mosel_code, strcat('s(', num2str(i), ',')));
                if isempty(cellline)
                    continue;
                end
                Mosel_code{cellline} = '';
                Mosel_code = Check_and_remove_aligned_conflict_for_laterships(Mosel_code, Historic_ships, Historic_ships{i, 1}, slowarrivaltime, ShipNames, Arrival_segment);
            end
        end
    end
end

end