function Delays = Create_delays(Number_of_ships, mean_delay, fraction_ship_delayed)

Delays = zeros(Number_of_ships,1);

Delay_ships = sort(randperm(Number_of_ships, round(fraction_ship_delayed*Number_of_ships)));

Delays(Delay_ships) = round(exprnd(mean_delay, [length(Delay_ships), 1]));

Delays = num2cell(Delays);

end