function [Scheduling_list, UnScheduled_list, list_of_new_ships] = Create_Scheduling_list(Scheduling_list, list_of_new_ships, UnScheduled_list, Current_segment, Arrival_segment, Direction, time, Shipname_late)

if ~(Shipname_late == 0)
    index_late_ship = find(strcmp(Shipname_late, Scheduling_list(:,1)));
else
    index_late_ship = [];
end

nSegments = size(Arrival_segment,2);

%n = antall skip i skip-batch
nNewShips = size(list_of_new_ships,1);

%nships = antall skip i old liste
nOldShips = size(Scheduling_list,1);
nOldShips = nOldShips - length(index_late_ship);

for i = 1:nNewShips
    index = find(strcmp(list_of_new_ships{i,1}, UnScheduled_list(:,1)));
    UnScheduled_list(index,:) = [];
end

%Endrer ETA til alle gamle skip til  vre lik ankomsttiden til segmentet bten befinner seg i nr ny plan skal lages,
%samt entering_segment til % vre current_segment
j = 0;
for i = 1:nOldShips
    if i == index_late_ship
        j = j + 2;
    else
        j = j + 1;
    end
    if Arrival_segment(i, Current_segment(i)) <= time
        Scheduling_list{j, 3} = Arrival_segment(i, Current_segment(i));
        Scheduling_list{j, 5} = Current_segment(i);
    end
end

%Ny liste med skip er de gamle skipene med oppdatert ETA og enteringsegment + skip-batchen med riktige ETA-er
Scheduling_list = [Scheduling_list; list_of_new_ships];

Scheduling_list = sort_list(Scheduling_list);

list_of_new_ships = {};
end
