function EarliestSegmentTime = Calculate_EarliestSegmentTime(MinimumTraversingTime, ETA, ShipSegments, Direction)

nShips = size(MinimumTraversingTime,1);
nSegments = size(MinimumTraversingTime,2);

EarliestSegmentTime = zeros(nShips, nSegments);

for i = 1:nShips
    EarliestSegmentTime(i, ShipSegments{i}(1)) = ETA(i);
    for p = ShipSegments{i}(2:end)
        if Direction(i) == 1
            EarliestSegmentTime(i, p) = EarliestSegmentTime(i, p-1) + MinimumTraversingTime(i,p-1);
        elseif Direction(i) == -1
            EarliestSegmentTime(i, p) = EarliestSegmentTime(i, p+1) + MinimumTraversingTime(i,p+1);
        end
    end
end

end