function MinimumTraversingTime = Calculate_TraversingTime(VesselSpeed, ShipSegments, Kiel_length)

nShips = size(VesselSpeed,1);
nSegments = size(Kiel_length,2)-1;

MinimumTraversingTime = zeros(nShips, nSegments);

for i = 1:nShips
    for p = ShipSegments{i}
        MinimumTraversingTime(i, p) = (Kiel_length(p+1)-Kiel_length(p))/VesselSpeed(i);
    end
end


end