function Mosel_code = Remove_speed_limits(Mosel_code, Scheduling_list, Current_segment, ShipNames, time, Vesselinfo, Shipname_slow)

nShips = size(Scheduling_list,1);
nShipsInPrev = length(ShipNames);

Shipnumbers = zeros(1,nShips);
ShipnumbersInPrev = zeros(1, nShipsInPrev);

for i = 1:nShips
    Shipnumbers(i) = str2double(Scheduling_list{i,1}(8:end));
end

for i = 1:nShipsInPrev
    ShipnumbersInPrev(i) = str2double(ShipNames{i}(8:end));
end

ShipsInBoth = intersect(Shipnumbers, ShipnumbersInPrev);
nInBoth = length(ShipsInBoth);

for i = 1:nInBoth
    index = find(ShipsInBoth(i) == Shipnumbers);
    indexV = find(strcmp(Scheduling_list{index,1}, Vesselinfo(:,1)));
    index2 = find(ShipsInBoth(i) == ShipnumbersInPrev);
    Segments = cell2mat(Vesselinfo(indexV,10:end));
    indicies = find(Segments > 0);
    n = length(indicies);
    indicies2 = find(Current_segment(index2) == indicies);
    if Shipname_slow ~= 0
       if strcmp(Shipname_slow, Scheduling_list{index,1})
           continue;
       end
    end
    if (~isempty(indicies2) && Scheduling_list{index, 3} < time)
        Index = find(contains(Mosel_code,'!Lower and upper bounds on travelling time'));
        Index = Index + 3;
        Mosel_code(Index+3:end+3,:) = Mosel_code(Index:end,:);
        Mosel_code(Index,:) = {strcat('if ii = ', num2str(index), ' and pp =  ', num2str(Current_segment(index2)), ' then')};
        Mosel_code(Index + 1,:) = {'next;'};
        Mosel_code(Index + 2,:) = {'end-if'};
    end
end

end

